/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include <hgegui.h>
#include <hgefont.h>
#include <hgecolor.h>

#include <string>

class HnyMenuItem :
	public hgeGUIObject
{
public:
	HnyMenuItem(int id_, hgeFont *font, float x, float y, std::string title);
	virtual ~HnyMenuItem();

	virtual void  Render();
	virtual void  Update(float dt);

	virtual void  Enter();
	virtual void  Leave();
	virtual bool  IsDone();
	virtual void  Focus(bool bFocused);
	virtual void  MouseOver(bool bOver);

	virtual bool  MouseLButton(bool bDown);
	virtual bool  KeyClick(int key, int chr);

private:
	hgeFont* mFont;
	std::string mTitle;

	hgeColor      mLight;
	hgeColor      mShadow;
	float         mOffset;
	float         mTimer;
};
